[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Calendar' (#lcl)

# TCustomCalendar.GetControlClassDefaultSize

Gets the default dimensions for a new instance of the control.

## Declaration

Source position: calendar.pp line 115

`protected class function TCustomCalendar.GetControlClassDefaultSize: TSize; override;`

## Description

GetControlClassDefaultSize is an overridden TSize function in TCustomCalendar, and re-implements the method from the ancestor class. It returns the default width and height for the control in the CX and CY members for the TSize instance. Width (CX) is set to 220 pixels. Height (CY) is set to 190 pixels.

## See also

TControl.GetControlClassDefaultSize |  | Returns the default dimensions for new instances of the class.